Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
libpng-1.5.x entered stable - upgrade tips
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7  Next  
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
Meconiotronic
Tux's lil' helper
Tux's lil' helper


Joined: 14 Mar 2007
Posts: 99

PostPosted: Sat Oct 15, 2011 8:15 pm    Post subject: Reply with quote

emerge -1av --keep-going $(find /usr -name "*.la" -o -name "*.pc" -o -name "*-config" -exec grep -H png14 {} \; | cut -d : -f 1 | xargs qfile -CSq | sort | uniq)
Usage: emerge [options]

emerge: error: no such option: -,
Back to top
View user's profile Send private message
Polynomial-C
Developer
Developer


Joined: 01 Jun 2003
Posts: 1391
Location: germany

PostPosted: Sun Oct 16, 2011 7:25 am    Post subject: Reply with quote

Meconiotronic wrote:
emerge -1av --keep-going $(find /usr -name "*.la" -o -name "*.pc" -o -name "*-config" -exec grep -H png14 {} \; | cut -d : -f 1 | xargs qfile -CSq | sort | uniq)
Usage: emerge [options]

emerge: error: no such option: -,


This happens when the command doesn't find anything containing the string "png14" and thus emerge gets called incorrectly. It doesn't hurt your system but of course this corner case should be addressed somehow (I'm still thinking about how to solve this)...
_________________
The manual said "Requires Windows7 or better" so I installed GNU/Linux...

my portage overlay

Need a stage1 tarball? (Unofficial builds)
Back to top
View user's profile Send private message
Randy Andy
Veteran
Veteran


Joined: 19 Jun 2007
Posts: 1063
Location: /dev/koelsch

PostPosted: Sun Oct 16, 2011 3:39 pm    Post subject: Another variation of the -lpng14 fault Reply with quote

Hi Guys.

I thought I've fixed all my lpng faults in the past, but today a new version came up when i tried to install gcstar from the sunrise overlay.
dev-perl/gtk2-spell-1.30.0 failed to compile with the -lpng14 error, here a short cut out from the log:

Code:

LD_RUN_PATH="/usr/lib64:/lib64" x86_64-pc-linux-gnu-gcc  -shared -march=core2 -mtune=core2 -O2 -pipe -Wl,-O1 -Wl,--as-needed GtkSpell.o -Wl,-O1 -Wl,--as-needed -o blib/arch/auto/Gtk2/Spell/Spell.so        \
   -lgtkspell -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 -lm -lpng14     \
 
/usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lpng14
collect2: ld gab 1 als Ende-Status zurück
make: *** [blib/arch/auto/Gtk2/Spell/Spell.so] Fehler 1
emake failed
 * ERROR: dev-perl/gtk2-spell-1.30.0 failed (compile phase):
 *   Compilation failed
 *
 * Call stack:
 *     ebuild.sh, line   91:  Called src_compile
 *   environment, line 2655:  Called perl-module_src_compile
 *   environment, line 2320:  Called die
 * The specific snippet of code:
 *               emake "$@" || die "Compilation failed";


The Find command line like described in posts before, doesn't find any packages anymore on my system, in the opposite to earlier times.
Additional i compiled gcc and media-libs/gd but it doesn't helped.
No Bug report exists for dev-perl/gtk2-spell, so i guess the root cause is only the -lpng problem.

How can i solved this.
Any help would be appreciated.

Best regards, Andy.
_________________
If you want to see a Distro done right, compile it yourself!
Back to top
View user's profile Send private message
Yuu
Apprentice
Apprentice


Joined: 23 Dec 2008
Posts: 220
Location: France

PostPosted: Sun Oct 16, 2011 6:44 pm    Post subject: Reply with quote

Hi,

I updated libPNG to 1.5.5 following lastest notice from ssuominen, but two packages are failing to re-emerge :
  • =dev-cpp/libsexymm-0.1.9 : http://pastebin.com/42rignE4
    I tried to :
    • replace png14 to png15 in /usr/lib64/libsexymm.la
    • remove /usr/lib64/libsexymm.la
    • re-emerge : dev-cpp/glibmm dev-cpp/gtkmm
    But nothing seems to works here.

  • =media-gfx/splashutils-1.5.4.3-r3 : http://pastebin.com/mH4feCd0
    But compiles fine with USE="-truetype"


Thank you :]
_________________
Inspiron 1720 laptop : T8300 | 200 Gb hard drive | 2Gb of ram | 8600M GT | Gentoo x86_64
Server : Celeron 220 | 250 Gb hard drive | 2Gb of ram | SiS 662 VGA | Gentoo x86_64
Back to top
View user's profile Send private message
Polynomial-C
Developer
Developer


Joined: 01 Jun 2003
Posts: 1391
Location: germany

PostPosted: Sun Oct 16, 2011 7:06 pm    Post subject: Reply with quote

Hmm... I really cannot imagine where that -lpng14 could come from...

If you guys have time and ressources to waste (;)) you might try the following:
Code:
grep -r "png14" /usr

If you get some helpful results please let us know which ones so I can adjust my first post accordingly.
_________________
The manual said "Requires Windows7 or better" so I installed GNU/Linux...

my portage overlay

Need a stage1 tarball? (Unofficial builds)
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2133
Location: Finland

PostPosted: Sun Oct 16, 2011 7:07 pm    Post subject: Reply with quote

Yuu wrote:
Hi,

I updated libPNG to 1.5.5 following lastest notice from ssuominen, but two packages are failing to re-emerge :[list][*]=dev-cpp/libsexymm-0.1.9 : http://pastebin.com/42rignE4
I tried to :
  • replace png14 to png15 in /usr/lib64/libsexymm.la
  • remove /usr/lib64/libsexymm.la
  • re-emerge : dev-cpp/glibmm dev-cpp/gtkmm
But nothing seems to works here.



Look in these?

# grep -r png14 /usr/lib*/*
# grep -r png14 /usr/local/*
# grep -r png14 /usr/bin/*

Also libsexy and libsexymm are obsolete since gtk+ has their functionality. We are in process of removing them. What for you have it installed?
Back to top
View user's profile Send private message
Yuu
Apprentice
Apprentice


Joined: 23 Dec 2008
Posts: 220
Location: France

PostPosted: Sun Oct 16, 2011 8:02 pm    Post subject: Reply with quote

Hi and thank you for your very fast replies,


@Polynomial-C :
Here it is :
Code:
# grep -r "png14" /usr
Binary file /usr/lib/jvm/icedtea6-bin/jre/lib/amd64/libsplashscreen.so matches
grep: /usr/lib/openoffice/basis3.1/ure-link: No such file or directory
/usr/lib/pkgconfig/libsexy.pc:Libs: -L${libdir} -lsexy -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lm -lcairo -lpng14 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 -lxml2 
/usr/lib/pkgconfig/libsexy.pc:Cflags: -I${includedir} -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/libxml2 
/usr/lib/pkgconfig/libview.pc:Libs: -L${libdir} -lview -pthread -lgtkmm-2.4 -latkmm-1.6 -lgdkmm-2.4 -lgiomm-2.4 -lpangomm-1.4 -lgtk-x11-2.0 -lglibmm-2.4 -lcairomm-1.0 -lsigc-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lm -lcairo -lpng14 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 
/usr/lib/pkgconfig/libview.pc:Cflags: -I${includedir} -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/gtkmm-2.4 -I/usr/lib64/gtkmm-2.4/include -I/usr/include/atkmm-1.6 -I/usr/include/giomm-2.4 -I/usr/lib64/giomm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/lib64/pangomm-1.4/include -I/usr/include/gtk-unix-print-2.0 -I/usr/include/gdkmm-2.4 -I/usr/lib64/gdkmm-2.4/include -I/usr/include/glibmm-2.4 -I/usr/lib64/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -I/usr/include/cairomm-1.0 -I/usr/lib64/cairomm-1.0/include 
Binary file /usr/lib/libreoffice/program/oosplash.bin matches
Binary file /usr/lib/libpng14.so.14 matches
grep: warning: /usr/lib/firefox/bin: recursive directory loop
grep: /usr/lib/firefox/plugins/javaplugin.so: No such file or directory
grep: /usr/lib/nsbrowser/plugins/javaplugin.so: No such file or directory
grep: /usr/lib/libGLcore.so: No such file or directory
Binary file /usr/bin/mplayer matches
grep: /usr/bin/php-cgi: No such file or directory
Binary file /usr/lib64/jvm/icedtea6-bin/jre/lib/amd64/libsplashscreen.so matches
grep: /usr/lib64/openoffice/basis3.1/ure-link: No such file or directory
/usr/lib64/pkgconfig/libsexy.pc:Libs: -L${libdir} -lsexy -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lm -lcairo -lpng14 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 -lxml2 
/usr/lib64/pkgconfig/libsexy.pc:Cflags: -I${includedir} -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/libxml2 
/usr/lib64/pkgconfig/libview.pc:Libs: -L${libdir} -lview -pthread -lgtkmm-2.4 -latkmm-1.6 -lgdkmm-2.4 -lgiomm-2.4 -lpangomm-1.4 -lgtk-x11-2.0 -lglibmm-2.4 -lcairomm-1.0 -lsigc-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lm -lcairo -lpng14 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 
/usr/lib64/pkgconfig/libview.pc:Cflags: -I${includedir} -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/gtkmm-2.4 -I/usr/lib64/gtkmm-2.4/include -I/usr/include/atkmm-1.6 -I/usr/include/giomm-2.4 -I/usr/lib64/giomm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/lib64/pangomm-1.4/include -I/usr/include/gtk-unix-print-2.0 -I/usr/include/gdkmm-2.4 -I/usr/lib64/gdkmm-2.4/include -I/usr/include/glibmm-2.4 -I/usr/lib64/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -I/usr/include/cairomm-1.0 -I/usr/lib64/cairomm-1.0/include 
Binary file /usr/lib64/libreoffice/program/oosplash.bin matches
Binary file /usr/lib64/libpng14.so.14 matches
grep: warning: /usr/lib64/firefox/bin: recursive directory loop
grep: /usr/lib64/firefox/plugins/javaplugin.so: No such file or directory
grep: /usr/lib64/nsbrowser/plugins/javaplugin.so: No such file or directory
grep: /usr/lib64/libGLcore.so: No such file or directory
Binary file /usr/lib32/libpng14.so.14 matches
Binary file /usr/lib32/wine/windowscodecs.dll.so matches
grep: /usr/lib32/libGLcore.so: No such file or directory
/usr/share/cmake/Modules/FindPNG.cmake:  set(PNG_NAMES ${PNG_NAMES} png libpng png15 libpng15 png15d libpng15d png14 libpng14 png14d libpng14d png12 libpng12 png12d libpng12d)
grep: /usr/share/ant/bin: No such file or directory
grep: /usr/share/ant/etc: No such file or directory



@ssuominen:

Here it is (almost same output as Polynomial-C's command) :
Code:
# LANG="en" grep -r png14 /usr/lib*/*
grep: /usr/lib32/libGLcore.so: No such file or directory
Binary file /usr/lib32/libpng14.so.14 matches
Binary file /usr/lib32/wine/windowscodecs.dll.so matches
grep: warning: /usr/lib64/firefox/bin: recursive directory loop
grep: /usr/lib64/firefox/plugins/javaplugin.so: No such file or directory
Binary file /usr/lib64/jvm/icedtea6-bin/jre/lib/amd64/libsplashscreen.so matches
grep: /usr/lib64/libGLcore.so: No such file or directory
Binary file /usr/lib64/libpng14.so.14 matches
Binary file /usr/lib64/libreoffice/program/oosplash.bin matches
grep: /usr/lib64/nsbrowser/plugins/javaplugin.so: No such file or directory
grep: /usr/lib64/openoffice/basis3.1/ure-link: No such file or directory
/usr/lib64/pkgconfig/libsexy.pc:Libs: -L${libdir} -lsexy -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lm -lcairo -lpng14 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 -lxml2 
/usr/lib64/pkgconfig/libsexy.pc:Cflags: -I${includedir} -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/libxml2 
/usr/lib64/pkgconfig/libview.pc:Libs: -L${libdir} -lview -pthread -lgtkmm-2.4 -latkmm-1.6 -lgdkmm-2.4 -lgiomm-2.4 -lpangomm-1.4 -lgtk-x11-2.0 -lglibmm-2.4 -lcairomm-1.0 -lsigc-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lm -lcairo -lpng14 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 
/usr/lib64/pkgconfig/libview.pc:Cflags: -I${includedir} -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/gtkmm-2.4 -I/usr/lib64/gtkmm-2.4/include -I/usr/include/atkmm-1.6 -I/usr/include/giomm-2.4 -I/usr/lib64/giomm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/lib64/pangomm-1.4/include -I/usr/include/gtk-unix-print-2.0 -I/usr/include/gdkmm-2.4 -I/usr/lib64/gdkmm-2.4/include -I/usr/include/glibmm-2.4 -I/usr/lib64/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -I/usr/include/cairomm-1.0 -I/usr/lib64/cairomm-1.0/include 
grep: warning: /usr/lib/firefox/bin: recursive directory loop
grep: /usr/lib/firefox/plugins/javaplugin.so: No such file or directory
Binary file /usr/lib/jvm/icedtea6-bin/jre/lib/amd64/libsplashscreen.so matches
grep: /usr/lib/libGLcore.so: No such file or directory
Binary file /usr/lib/libpng14.so.14 matches
Binary file /usr/lib/libreoffice/program/oosplash.bin matches
grep: /usr/lib/nsbrowser/plugins/javaplugin.so: No such file or directory
grep: /usr/lib/openoffice/basis3.1/ure-link: No such file or directory
/usr/lib/pkgconfig/libsexy.pc:Libs: -L${libdir} -lsexy -pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lm -lcairo -lpng14 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 -lxml2 
/usr/lib/pkgconfig/libsexy.pc:Cflags: -I${includedir} -pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/libxml2 
/usr/lib/pkgconfig/libview.pc:Libs: -L${libdir} -lview -pthread -lgtkmm-2.4 -latkmm-1.6 -lgdkmm-2.4 -lgiomm-2.4 -lpangomm-1.4 -lgtk-x11-2.0 -lglibmm-2.4 -lcairomm-1.0 -lsigc-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lm -lcairo -lpng14 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0 
/usr/lib/pkgconfig/libview.pc:Cflags: -I${includedir} -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/gtkmm-2.4 -I/usr/lib64/gtkmm-2.4/include -I/usr/include/atkmm-1.6 -I/usr/include/giomm-2.4 -I/usr/lib64/giomm-2.4/include -I/usr/include/pangomm-1.4 -I/usr/lib64/pangomm-1.4/include -I/usr/include/gtk-unix-print-2.0 -I/usr/include/gdkmm-2.4 -I/usr/lib64/gdkmm-2.4/include -I/usr/include/glibmm-2.4 -I/usr/lib64/glibmm-2.4/include -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -I/usr/include/cairomm-1.0 -I/usr/lib64/cairomm-1.0/include 
#
# grep -r png14 /usr/local/*
#
# grep -r png14 /usr/bin/*
Binary file /usr/bin/mplayer matches
grep: /usr/bin/php-cgi: No such file or directory


And it seems that libsexymm is required by vmware-workstation :
Code:
$ equery d dev-cpp/libsexymm
 * These packages depend on dev-cpp/libsexymm:
app-emulation/vmware-workstation-7.1.5.491717 (dev-cpp/libsexymm)



Another question, related to this libpng migration : why libpng-1.5.5 is including libpng14.so.14 ? Aren't we supposed to get rid of libpng-1.4 by remerging/relinking packages to libpng-1.5 ? (see here)


And yes, theses commands are generating a log of iowait :lol:


Thank you again :]
_________________
Inspiron 1720 laptop : T8300 | 200 Gb hard drive | 2Gb of ram | 8600M GT | Gentoo x86_64
Server : Celeron 220 | 250 Gb hard drive | 2Gb of ram | SiS 662 VGA | Gentoo x86_64
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2133
Location: Finland

PostPosted: Sun Oct 16, 2011 8:15 pm    Post subject: Reply with quote

Yuu wrote:
Hi and thank you for your very fast replies,


I've fixed both libview and libsexy issues in Portage.

You should run:

# emerge --sync
# emerge icedtea6-bin
# emerge -1 libsexy libview


Last edited by ssuominen on Sun Oct 16, 2011 8:26 pm; edited 1 time in total
Back to top
View user's profile Send private message
Yuu
Apprentice
Apprentice


Joined: 23 Dec 2008
Posts: 220
Location: France

PostPosted: Sun Oct 16, 2011 8:23 pm    Post subject: Reply with quote

Oh my... You're incredible, that's perfect !

Code:
# emerge -1 libsexy libview
Calculating dependencies... done!
>>> Verifying ebuild manifests
>>> Starting parallel fetch
>>> Emerging (1 of 2) x11-libs/libsexy-0.1.11-r2
>>> Emerging (2 of 2) x11-libs/libview-0.6.6-r1
>>> Installing (1 of 2) x11-libs/libsexy-0.1.11-r2
>>> Installing (2 of 2) x11-libs/libview-0.6.6-r1
>>> Jobs: 2 of 2 complete                           Load avg: 2.63, 1.01, 0.71
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * GNU info directory index is up-to-date.
#
# emerge -v1 dev-cpp/libsexymm:0

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] dev-cpp/libsexymm-0.1.9  USE="-debug -doc" 0 kB

Total: 1 package (1 new), Size of downloads: 0 kB

>>> Verifying ebuild manifests
>>> Emerging (1 of 1) dev-cpp/libsexymm-0.1.9
>>> Installing (1 of 1) dev-cpp/libsexymm-0.1.9
>>> Jobs: 1 of 1 complete                           Load avg: 2.17, 1.04, 0.73
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * GNU info directory index is up-to-date.


Thank you :D !


Now, I just need to figure out why media-gfx/splashutils doesn't wants to compile with +truetype :]
_________________
Inspiron 1720 laptop : T8300 | 200 Gb hard drive | 2Gb of ram | 8600M GT | Gentoo x86_64
Server : Celeron 220 | 250 Gb hard drive | 2Gb of ram | SiS 662 VGA | Gentoo x86_64
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2133
Location: Finland

PostPosted: Sun Oct 16, 2011 8:37 pm    Post subject: Reply with quote

Yuu wrote:
Now, I just need to figure out why media-gfx/splashutils doesn't wants to compile with +truetype :]


Start a new thread for that. Let's keep this one strictly for png.
Back to top
View user's profile Send private message
Randy Andy
Veteran
Veteran


Joined: 19 Jun 2007
Posts: 1063
Location: /dev/koelsch

PostPosted: Sun Oct 16, 2011 8:45 pm    Post subject: Reply with quote

Thanks dev's,
for your really fast response.
In the opposite to Yuu, i haven't any libsexy /libsexymm package installed here.

Is it right that my media-libs/libpng installation is slotted?

@Polynomial-C
grep -r "png14" /usr
gave me to much irrelevant output as of lots of changelog stuff under /usr/portage/*/*/Changelog to post it here (much longer as Yuu's list).
That's why i decided to give you only the output of ssuominen find commands:

Code:

grep -r png14 /usr/lib*/*
grep: warning: /usr/lib/firefox/bin: recursive directory loop
Binary file /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/libgcj.so.11.0.0 matches
Binary file /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/libgcj.a matches
Binary file /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/libgcj.so matches
Binary file /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/libgcj.so.11 matches
grep: /usr/lib/gcc/x86_64-pc-linux-gnu/4.3.1/libstdc++.so.6: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib/gcc/x86_64-pc-linux-gnu/4.3.1/libgomp.so.1: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib/gcc/x86_64-pc-linux-gnu/4.3.1/32/libstdc++.so.6: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib/libGLcore.so: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib/libcblas.a: Datei oder Verzeichnis nicht gefunden
Binary file /usr/lib/libpng14.so.14 matches
grep: /usr/lib/libreoffice/basis3.3/sdk/include: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib/libreoffice/basis3.3/sdk/idl: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib/libreoffice/basis3.3/sdk/classes: Datei oder Verzeichnis nicht gefunden
grep: warning: /usr/lib/mozilla-firefox/defaults/autoconfig/autoconfig: recursive directory loop
/usr/lib/perl5/vendor_perl/5.12.4/x86_64-linux/Gtk2/Install/Files.pm:          'inc' => '-pthread -DQT_SHARED -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/qt4 -I/usr/include/qt4/QtGui -I/usr/include/libdrm -I/usr/include/qt4/QtCore   -I./build ',
/usr/lib/perl5/vendor_perl/5.12.4/x86_64-linux/Gtk2/Install/Files.pm:          'libs' => '-pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lm -lcairo -lpng14 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  '
/usr/lib/perl5/vendor_perl/5.12.4/x86_64-linux/Gtk2/ImageView/Install/Files.pm:          'inc' => '-pthread -DQT_SHARED -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/qt4 -I/usr/include/qt4/QtGui -I/usr/include/libdrm -I/usr/include/qt4/QtCore  ',
/usr/lib/perl5/vendor_perl/5.12.4/x86_64-linux/Pango/Install/Files.pm:          'inc' => '-pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I./build -pthread -DQT_SHARED -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/qt4 -I/usr/include/qt4/QtGui -I/usr/include/libdrm -I/usr/include/qt4/QtCore  ',
/usr/lib/perl5/vendor_perl/5.12.3/x86_64-linux/Cairo/Install/Files.pm:          'inc' => '-I. -Ibuild -DQT_SHARED -pthread -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/qt4 -I/usr/include/qt4/QtGui -I/usr/include/libdrm -I/usr/include/qt4/QtCore   -DQT_SHARED -pthread -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng14 -I/usr/include/qt4 -I/usr/include/qt4/QtGui -I/usr/include/libdrm -I/usr/include/qt4/QtCore  ',
grep: /usr/lib/pkgconfig/libgcj-4.4.pc: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib/python2.4/site-packages/pygtk.pth: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib/python2.4/site-packages/pygtk.py: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib/xorg/modules/extensions/libglx.so.190.42: Datei oder Verzeichnis nicht gefunden
grep: warning: /usr/lib/xulrunner-1.9/defaults/autoconfig/autoconfig: recursive directory loop
grep: /usr/lib32/libGLcore.so: Datei oder Verzeichnis nicht gefunden
Binary file /usr/lib32/libpng14.so.14 matches
grep: /usr/lib32/nsbrowser/plugins/javaplugin.so: Datei oder Verzeichnis nicht gefunden
grep: warning: /usr/lib64/firefox/bin: recursive directory loop
Binary file /usr/lib64/gcc/x86_64-pc-linux-gnu/4.5.3/libgcj.so.11.0.0 matches
Binary file /usr/lib64/gcc/x86_64-pc-linux-gnu/4.5.3/libgcj.a matches
Binary file /usr/lib64/gcc/x86_64-pc-linux-gnu/4.5.3/libgcj.so matches
Binary file /usr/lib64/gcc/x86_64-pc-linux-gnu/4.5.3/libgcj.so.11 matches
grep: /usr/lib64/gcc/x86_64-pc-linux-gnu/4.3.1/libstdc++.so.6: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib64/gcc/x86_64-pc-linux-gnu/4.3.1/libgomp.so.1: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib64/gcc/x86_64-pc-linux-gnu/4.3.1/32/libstdc++.so.6: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib64/libGLcore.so: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib64/libcblas.a: Datei oder Verzeichnis nicht gefunden
Binary file /usr/lib64/libpng14.so.14 matches
grep: /usr/lib64/libreoffice/basis3.3/sdk/include: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib64/libreoffice/basis3.3/sdk/idl: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib64/libreoffice/basis3.3/sdk/classes: Datei oder Verzeichnis nicht gefunden
grep: warning: /usr/lib64/mozilla-firefox/defaults/autoconfig/autoconfig: recursive directory loop
/usr/lib64/perl5/vendor_perl/5.12.4/x86_64-linux/Gtk2/Install/Files.pm:          'inc' => '-pthread -DQT_SHARED -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/qt4 -I/usr/include/qt4/QtGui -I/usr/include/libdrm -I/usr/include/qt4/QtCore   -I./build ',
/usr/lib64/perl5/vendor_perl/5.12.4/x86_64-linux/Gtk2/Install/Files.pm:          'libs' => '-pthread -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lm -lcairo -lpng14 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  '
/usr/lib64/perl5/vendor_perl/5.12.4/x86_64-linux/Gtk2/ImageView/Install/Files.pm:          'inc' => '-pthread -DQT_SHARED -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/qt4 -I/usr/include/qt4/QtGui -I/usr/include/libdrm -I/usr/include/qt4/QtCore  ',
/usr/lib64/perl5/vendor_perl/5.12.4/x86_64-linux/Pango/Install/Files.pm:          'inc' => '-pthread -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -I./build -pthread -DQT_SHARED -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/qt4 -I/usr/include/qt4/QtGui -I/usr/include/libdrm -I/usr/include/qt4/QtCore  ',
/usr/lib64/perl5/vendor_perl/5.12.3/x86_64-linux/Cairo/Install/Files.pm:          'inc' => '-I. -Ibuild -DQT_SHARED -pthread -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng14 -I/usr/include/qt4 -I/usr/include/qt4/QtGui -I/usr/include/libdrm -I/usr/include/qt4/QtCore   -DQT_SHARED -pthread -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng14 -I/usr/include/qt4 -I/usr/include/qt4/QtGui -I/usr/include/libdrm -I/usr/include/qt4/QtCore  ',
grep: /usr/lib64/pkgconfig/libgcj-4.4.pc: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib64/python2.4/site-packages/pygtk.pth: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib64/python2.4/site-packages/pygtk.py: Datei oder Verzeichnis nicht gefunden
grep: /usr/lib64/xorg/modules/extensions/libglx.so.190.42: Datei oder Verzeichnis nicht gefunden
grep: warning: /usr/lib64/xulrunner-1.9/defaults/autoconfig/autoconfig: recursive directory loop
grep: /usr/libexec/cups/filter/foomatic-gswrapper: Datei oder Verzeichnis nicht gefunden
grep: /usr/libexec/cups/backend/hal: Datei oder Verzeichnis nicht gefunden

grep -r png14 /usr/local/*
localhost andy # grep -r png14 /usr/bin/*
grep: /usr/bin/amstex: Datei oder Verzeichnis nicht gefunden
grep: /usr/bin/elatex: Datei oder Verzeichnis nicht gefunden
grep: /usr/bin/eplain: Datei oder Verzeichnis nicht gefunden
grep: /usr/bin/esd: Datei oder Verzeichnis nicht gefunden
grep: /usr/bin/pdfamstex: Datei oder Verzeichnis nicht gefunden
grep: /usr/bin/repstopdf: Datei oder Verzeichnis nicht gefunden


Sorry for the German output, hopefully no problem here.

So what could be the solution in my case? Reinstalling the listed perl packages, or running perl-cleaner --reallyall?

Thanks in advance, Andy.
_________________
If you want to see a Distro done right, compile it yourself!
Back to top
View user's profile Send private message
Polynomial-C
Developer
Developer


Joined: 01 Jun 2003
Posts: 1391
Location: germany

PostPosted: Sun Oct 16, 2011 9:29 pm    Post subject: Reply with quote

Ah man... seems like I have to add perl modules to the find command as well...

Thanks for sharing your results with us guys.
_________________
The manual said "Requires Windows7 or better" so I installed GNU/Linux...

my portage overlay

Need a stage1 tarball? (Unofficial builds)
Back to top
View user's profile Send private message
Chiitoo
l33t
l33t


Joined: 28 Feb 2010
Posts: 922
Location: Here and Away Again

PostPosted: Sun Oct 16, 2011 10:07 pm    Post subject: [SOLVED] Hmmm. Reply with quote

Not an issue to me any more; see edit below.

Greetings!

I had made quite some progress over this getting almost everything to work but am seemingly stuck with GIMP right now, which doesn't want to work with PNG files now. So I checked here, via the link from the news item, tried the tips but to no avail.

Both the commands

Code:
revdep-rebuild --library '/usr/lib64/libpng14.so.14' -- --keep-going

and

Code:
emerge -1av --keep-going $(find /usr -name "*.la" -o -name "*.pc" -o -name "*-config" -exec grep -H png14 {} \; | cut -d : -f 1 | xargs qfile -CSq | sort | uniq)

return nothing (though revdep-rebuild alone does).
The actual package that is complaining is

Code:
net-libs/webkit-gtk-1.4.3-r200

which at first was being needy of the 'libpng14.so.14' and after I removed all versions of it, and tried to build them again (1.4.3-r300 version goes fine), it now stops at

Code:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.4.5/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lpng14
collect2: ld returned 1 exit status
make[1]: *** [libwebkitgtk-1.0.la] Error 1

So is there something with the ebuild or (more likely) what am I missing?
Also thank you all!


Edit:

Well, I guess I was just too tried and sleepy yesterday/last night.
I did this yesterday, but wasn't sure what to do with the output, or rather, thought it couldn't be as easy as what I though I should do, ha.

ssuominen wrote:
# grep -r png14 /usr/lib*/*

Amongst gimp, and some other directories, I noticed several .la files in the directory

Code:
/usr/lib/gtk-2.0/

and since, if I understand it correctly, webkit-gtk-1.4.3-r200 is a gtk+-2 package, I simply tried

Code:
emerge -v =x11-libs/gtk+-2.24.4

and noticed that the -lpng14 was gone from the dependency_libs of those files in the gtk-2.0 directory, and thus, could emerge the webkit and then gimp as well so I think I should be OK from here on. qfile will help me to find out what each of the files still referring to -lpng14 belong to and I shall emerge all those.

No idea as to why the big one-liner does not find these, I think it should, if I do even understand what it is doing correctly. ^^;


Anyhooo, I knew I posted too soon, but oh well.
Thank you again, everyone, and kiitos for the tip, ssuominen~

Keep up the good work!


Edit II:

Currently only dev-lang/R-2.10.1 (Binary file /usr/lib/R/modules/R_X11.so matches) is left for me, which does not build (same error as what leifbk posts below). I think I emerged it yesterday just fine. Not sure what happened in between, heh.

Tried building it with the use-flag: -png, and it does indeed build then, but not with it. I don't really need it, however, as only thing that seems to require it is cantor, which I don't need either. Just comes with kde-meta. I should really harvest the useless stuff out of this...
_________________
Kind Regards,
~ The Noob Unlimited ~

Sore wa sore, kore wa kore.


Last edited by Chiitoo on Mon Oct 17, 2011 3:41 pm; edited 10 times in total
Back to top
View user's profile Send private message
Randy Andy
Veteran
Veteran


Joined: 19 Jun 2007
Posts: 1063
Location: /dev/koelsch

PostPosted: Mon Oct 17, 2011 5:41 am    Post subject: Reply with quote

Hi Polynomial-C.

It was a pleasure to help while fixing my own system.

So my case is solved after rebuilding the relevant pearl-packages.

Best regards, Andy.
_________________
If you want to see a Distro done right, compile it yourself!
Back to top
View user's profile Send private message
leifbk
Apprentice
Apprentice


Joined: 05 Jan 2004
Posts: 286
Location: Bærum, Norway

PostPosted: Mon Oct 17, 2011 12:03 pm    Post subject: Reply with quote

R won't compile for me after the upgrade, I've tried several times and it still fails. This is the compiler output from where it starts to go wrong:

Code:
x86_64-pc-linux-gnu-gcc -std=gnu99 -I. -I../../../src/include -I../../../src/include  -pthread -D_REENTRANT -I/usr/include/pango-1.0 -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng15 -I/usr/include/libdrm   -I/usr/local/include -DHAVE_CONFIG_H   -fpic  -march=native -O2 -pipe -c rbitmap.c -o rbitmap.o
x86_64-pc-linux-gnu-gcc -std=gnu99 -shared -Wl,-O1 -Wl,--as-needed -o internet.so Rhttpd.o Rsock.o internet.o nanoftp.o nanohttp.o sock.o sockconn.o -L../../../lib -lR
rbitmap.c: In function ‘my_png_error’:
rbitmap.c:73:20: error: dereferencing pointer to incomplete type
rbitmap.c: In function ‘R_SaveAsPng’:
rbitmap.c:127:9: error: dereferencing pointer to incomplete type
make[4]: *** [rbitmap.o] Error 1
make[4]: *** Waiting for unfinished jobs....
make[5]: Entering directory `/var/tmp/portage/dev-lang/R-2.10.1/work/R-2.10.1/src/modules/internet'
make[5]: Leaving directory `/var/tmp/portage/dev-lang/R-2.10.1/work/R-2.10.1/src/modules/internet'
make[4]: Leaving directory `/var/tmp/portage/dev-lang/R-2.10.1/work/R-2.10.1/src/modules/internet'
make[3]: Leaving directory `/var/tmp/portage/dev-lang/R-2.10.1/work/R-2.10.1/src/modules/internet'
make[4]: Leaving directory `/var/tmp/portage/dev-lang/R-2.10.1/work/R-2.10.1/src/modules/X11'
make[3]: *** [R] Error 2
make[3]: Leaving directory `/var/tmp/portage/dev-lang/R-2.10.1/work/R-2.10.1/src/modules/X11'
make[2]: *** [make.X11] Error 2
make[2]: *** Waiting for unfinished jobs....
x86_64-pc-linux-gnu-gcc -std=gnu99 -shared -Wl,-O1 -Wl,--as-needed -o libRlapack.so dlamch.o dlapack0.o dlapack1.o dlapack2.o dlapack3.o dlapack4.o cmplx.o  -lblas   
make[4]: Leaving directory `/var/tmp/portage/dev-lang/R-2.10.1/work/R-2.10.1/src/modules/lapack'
make[4]: Entering directory `/var/tmp/portage/dev-lang/R-2.10.1/work/R-2.10.1/src/modules/lapack'
x86_64-pc-linux-gnu-gcc -std=gnu99 -I. -I../../../src/include -I../../../src/include -I/usr/local/include -DHAVE_CONFIG_H   -fpic  -march=native -O2 -pipe -c Lapack.c -o Lapack.o
x86_64-pc-linux-gnu-gcc -std=gnu99 -shared -Wl,-O1 -Wl,--as-needed -o lapack.so  Lapack.o  -L../../../lib -lR  -L../../../lib -lRlapack -lblas   -lgfortran -lm
make[5]: Entering directory `/var/tmp/portage/dev-lang/R-2.10.1/work/R-2.10.1/src/modules/lapack'
/var/tmp/portage/dev-lang/R-2.10.1/work/R-2.10.1/lib/libRlapack.so is unchanged
make[5]: Leaving directory `/var/tmp/portage/dev-lang/R-2.10.1/work/R-2.10.1/src/modules/lapack'
make[4]: Leaving directory `/var/tmp/portage/dev-lang/R-2.10.1/work/R-2.10.1/src/modules/lapack'
make[3]: Leaving directory `/var/tmp/portage/dev-lang/R-2.10.1/work/R-2.10.1/src/modules/lapack'
make[2]: Leaving directory `/var/tmp/portage/dev-lang/R-2.10.1/work/R-2.10.1/src/modules'
make[1]: *** [R] Error 1
make[1]: Leaving directory `/var/tmp/portage/dev-lang/R-2.10.1/work/R-2.10.1/src'
make: *** [R] Error 1
emake failed
 * ERROR: dev-lang/R-2.10.1 failed (compile phase):
 *   emake failed
 *
 * Call stack:
 *     ebuild.sh, line  56:  Called src_compile
 *   environment, line 3030:  Called die
 * The specific snippet of code:
 *       emake || die "emake failed";
 *
 * If you need support, post the output of 'emerge --info =dev-lang/R-2.10.1',
 * the complete build log and the output of 'emerge -pqv =dev-lang/R-2.10.1'.
 * The complete build log is located at '/var/tmp/portage/dev-lang/R-2.10.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-lang/R-2.10.1/temp/environment'.
 * S: '/var/tmp/portage/dev-lang/R-2.10.1/work/R-2.10.1'

>>> Failed to emerge dev-lang/R-2.10.1, Log file:

>>>  '/var/tmp/portage/dev-lang/R-2.10.1/temp/build.log'


Everything else compiles fine.
_________________
The Yggdrasil Genealogy Project
Back to top
View user's profile Send private message
Trog Dog
Apprentice
Apprentice


Joined: 04 Aug 2007
Posts: 282

PostPosted: Mon Oct 17, 2011 12:49 pm    Post subject: Reply with quote

gnome-settings-daemon-2.32.1-r2 is refusing to build for me with /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lpng14

Quote:
find /usr/ -name '*.la' -exec grep png14 {} + | wgetpaste
Your paste can be seen here: http://paste.pocoo.org/show/493789/
Quote:
emerge --info =gnome-base/gnome-settings-daemon-2.32.1-r2 | wgetpaste
Your paste can be seen here: http://paste.pocoo.org/show/493791/
Quote:
emerge -pqv =gnome-base/gnome-settings-daemon-2.32.1-r2 | wgetpaste
Your paste can be seen here: http://paste.pocoo.org/show/493794/
Quote:
cat /var/tmp/portage/gnome-base/gnome-settings-daemon-2.32.1-r2/temp/build.log | wgetpaste
Your paste can be seen here: http://paste.pocoo.org/show/493797/


EDIT: Solved by editing libgnomekbd.la and libgnonekbdui.la and manually changing libpng14 reference to libpng15.

Code:
HP ~ # nano -w  /usr/lib64/libgnomekbd.la
HP ~ # nano -w /usr/lib64/libgnomekbdui.la
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2133
Location: Finland

PostPosted: Mon Oct 17, 2011 4:31 pm    Post subject: Reply with quote

leifbk wrote:
R won't compile for me after the upgrade,


Fixed in Portage.
Back to top
View user's profile Send private message
mephinet
n00b
n00b


Joined: 15 May 2008
Posts: 15

PostPosted: Mon Oct 17, 2011 4:34 pm    Post subject: Reply with quote

the or-ed filename patterns require parenthesis!
Back to top
View user's profile Send private message
leifbk
Apprentice
Apprentice


Joined: 05 Jan 2004
Posts: 286
Location: Bærum, Norway

PostPosted: Mon Oct 17, 2011 5:24 pm    Post subject: Reply with quote

ssuominen wrote:
leifbk wrote:
R won't compile for me after the upgrade,


Fixed in Portage.


Thanks :D
_________________
The Yggdrasil Genealogy Project
Back to top
View user's profile Send private message
m27315
Apprentice
Apprentice


Joined: 10 Dec 2004
Posts: 236
Location: 2 workstations down

PostPosted: Mon Oct 17, 2011 6:59 pm    Post subject: ogmrip, splashutils, fltk Reply with quote

After following the instruction from the OP and eventually getting no rebuilds, my @preserved-rebuild set settled out to the following 3 packages, which will not build:

Code:
emerge -pvt @preserved-rebuild

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
[ebuild   R   ~] media-video/ogmrip-0.13.6  USE="aac dbus dts gtk libnotify matroska mp3 mp4 nls ogm spell srt theora vorbis x264 xvid" 0 kB
[ebuild   R   ~] media-gfx/splashutils-1.5.4.4  USE="fbcondecor gpm mng png truetype -hardened" 0 kB
[ebuild   R    ] x11-libs/fltk-2.0_pre6970  USE="cairo jpeg opengl png xft xinerama zlib -debug -doc" 0 kB


Here is the final errors for each:

Code:
...
>>> Emerging (1 of 3) media-video/ogmrip-0.13.6
...
Making all in libogmdvd
make[2]: Entering directory `/var/tmp/portage/media-video/ogmrip-0.13.6/work/ogmrip-0.13.6/libogmdvd'
...
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/local/include -I.. -Wall -D_FORTIFY_SOURCE=2 -march=native -O2 -pipe -g -I/usr/local/include -I.. -Wall -D_FORTIFY_SOURCE=2 -DG_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DG_DISABLE_SINGLE_INCLUDES -DGTK_DISABLE_SINGLE_INCLUDES -c ogmdvd-device.c  -fPIC -DPIC -o .libs/ogmdvd-device.o
In file included from ogmdvd-disc.c:30:0:
ogmdvd-disc.h:71:1: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'gchar'
ogmdvd-disc.h:73:1: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'gchar'
ogmdvd-disc.h:75:1: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'gchar'
In file included from ogmdvd-disc.c:33:0:
ogmdvd-title.h:58:1: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'guint'
ogmdvd-disc.c:137:23: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'gchar'
ogmdvd-disc.c: In function 'ogmdvd_disc_new':
ogmdvd-disc.c:611:3: warning: implicit declaration of function 'dvd_reader_get_id'
ogmdvd-disc.c:611:6: warning: assignment makes pointer from integer without a cast
ogmdvd-disc.c: In function 'ogmdvd_disc_open':
ogmdvd-disc.c:689:3: warning: passing argument 2 of 'g_str_equal' makes pointer from integer without a cast
/usr/include/glib-2.0/glib/ghash.h:140:10: note: expected 'gconstpointer' but argument is of type 'int'
ogmdvd-disc.c: At top level:
ogmdvd-disc.c:791:16: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'gchar'
ogmdvd-disc.c:807:16: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'gchar'
ogmdvd-disc.c:823:16: error: expected '=', ',', ';', 'asm' or '__attribute__' before 'gchar'
/bin/sh ../libtool --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include    -I/usr/local/include -I.. -Wall -D_FORTIFY_SOURCE=2  -march=native -O2 -pipe -g -I/usr/local/include -I.. -Wall -D_FORTIFY_SOURCE=2 -DG_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DG_DISABLE_SINGLE_INCLUDES -DGTK_DISABLE_SINGLE_INCLUDES -c -o ogmdvd-drive.lo ogmdvd-drive.c
make[2]: *** [ogmdvd-disc.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/local/include -I.. -Wall -D_FORTIFY_SOURCE=2 -march=native -O2 -pipe -g -I/usr/local/include -I.. -Wall -D_FORTIFY_SOURCE=2 -DG_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED -DG_DISABLE_SINGLE_INCLUDES -DGTK_DISABLE_SINGLE_INCLUDES -c ogmdvd-drive.c  -fPIC -DPIC -o .libs/ogmdvd-drive.o
...

>>> Emerging (1 of 2) x11-libs/fltk-2.0_pre6970
...
x86_64-pc-linux-gnu-gcc -Wl,-O1 -Wl,--as-needed -shared -fPIC -o ../lib/libfltk2.so.2.0 add_idle.o addarc.o addcurve.o Adjuster.o AlignGroup.o AnsiWidget.o args.o BarGroup.o bmpImage.o Browser.o Browser_load.o Button.o CheckButton.o Choice.o clip.o Clock.o Color.o color_chooser.o ComboBox.o compose.o Cursor.o CycleButton.o default_glyph.o Dial.o DiamondBox.o dnd.o drawtext.o EngravedLabel.o error.o event_key_state.o file_chooser.o FileBrowser.o FileChooser.o FileChooser2.o FileIcon.o FileInput.o filename_absolute.o filename_ext.o filename_isdir.o filename_list.o filename_match.o filename_name.o fillrect.o Fl_Menu_Item.o FloatInput.o fltk_theme.o Font.o gifImage.o Group.o GSave.o HelpView.o HighlightButton.o Image.o Input.o InputBrowser.o InvisibleWidget.o Item.o key_name.o LightButton.o list_fonts.o load_plugin.o lock.o Menu.o Menu_add.o Menu_global.o Menu_popup.o MenuBar.o MenuWindow.o message.o MultiImage.o NumericInput.o numericsort.o Output.o OvalBox.o overlay_rect.o own_colormap.o PackedGroup.o path.o PlasticBox.o PopupMenu.o Preferences.o ProgressBar.o RadioButton.o readimage.o RepeatButton.o ReturnButton.o RoundBox.o RoundedBox.o run.o Scrollbar.o ScrollGroup.o scrollrect.o setcolor.o setdisplay.o setvisual.o ShadowBox.o ShapedWindow.o SharedImage.o ShortcutAssignment.o show_colormap.o Slider.o StatusBarGroup.o StringList.o Style.o StyleSet.o Symbol.o SystemMenuBar.o TabGroup.o TabGroup2.o TextBuffer.o TextDisplay.o TextEditor.o ThumbWheel.o TiledGroup.o TiledImage.o Tooltip.o UpBox.o Valuator.o ValueInput.o ValueOutput.o ValueSlider.o Widget.o Widget_draw.o WidgetAssociation.o Window.o Window_fullscreen.o Window_hotspot.o Window_iconize.o WizardGroup.o xbmImage.o xpmImage.o scandir.o string.o utf.o vsnprintf.o -L../lib -lpng -lfltk2_images -ljpeg -lz
/usr/bin/ar cr ../lib/libfltk2.a ...
=== making images ===
Makefile:97: makedepend: No such file or directory
Compiling FileIcon2.cxx...
Compiling Fl_Guess_Image.cxx...
Compiling fl_jpeg.cxx...
Compiling fl_png.cxx...
fl_png.cxx: In member function 'virtual bool fltk::pngImage::fetch()':
fl_png.cxx:114:7: error: invalid use of incomplete type 'struct png_struct'
/usr/include/libpng15/png.h:830:16: error: forward declaration of 'struct png_struct'
make[1]: *** [fl_png.o] Error 1
...

>>> Emerging (1 of 1) media-gfx/splashutils-1.5.4.4
...
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -I/usr/include/freetype2 -Wl,-O1 -Wl,--as-needed -L/usr/lib64 -o fbtruetype -Wl,-O1 -Wl,--as-needed -L/usr/lib64 fbtruetype.o messages.o console.o ttf.o luxisri.o -lfreetype -lm
x86_64-pc-linux-gnu-gcc -march=native -O2 -pipe -I/usr/include/freetype2 -Wl,-O1 -Wl,--as-needed -L/usr/lib64 -static -o fbtruetype.static -Wl,-O1 -Wl,--as-needed -L/usr/lib64 fbtruetype.o messages.o console.o ttf.o luxisri.o /usr/lib64/libfreetype.a /usr/lib64/libz.a /usr/lib64/libbz2.a -lm
x86_64-pc-linux-gnu-gcc: /usr/lib64/libz.a: No such file or directory
make[1]: *** [fbtruetype.static] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory `/var/tmp/portage/media-gfx/splashutils-1.5.4.4/work/miscsplashutils-0.1.8/fbtruetype'
make: *** [all] Error 2

Any suggestions?

I have tried re-emerging every package with a static-libs use flag, and I have also tried re-emerging zlib.

Thanks!
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2133
Location: Finland

PostPosted: Mon Oct 17, 2011 9:18 pm    Post subject: Re: ogmrip, splashutils, fltk Reply with quote

m27315 wrote:

Code:
emerge -pvt @preserved-rebuild

Calculating dependencies... done!
[ebuild   R    ] x11-libs/fltk-2.0_pre6970  USE="cairo jpeg opengl png xft xinerama zlib -debug -doc" 0 kB


This is fixed in 2.0_pre6970-r1 which is going stable as we speak.

Seems you also need USE="static-libs" enabled in sys-libs/zlib for splashutils, but neither one, ogmrip or splashutils is a libpng problem so please file a new thread about them. Let's keep this one for libpng only.
Back to top
View user's profile Send private message
m27315
Apprentice
Apprentice


Joined: 10 Dec 2004
Posts: 236
Location: 2 workstations down

PostPosted: Mon Oct 17, 2011 9:21 pm    Post subject: Re: ogmrip, splashutils, fltk Reply with quote

ssuominen wrote:
This is fixed in 2.0_pre6970-r1 which is going stable as we speak.

I resynced and picked up the fix. It's working great. Thanks! :)

Any suggestions on the other two failed ebuilds?
Back to top
View user's profile Send private message
curmudgeon
Veteran
Veteran


Joined: 08 Aug 2003
Posts: 1364

PostPosted: Mon Oct 17, 2011 11:21 pm    Post subject: Reply with quote

Why do I get this (I did reemerge gcc, and revdep-rebuild does not show any problems)?

Code:

# grep -r png14 /usr/lib*/*
Binary file /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/libgcj.so.11 matches
Binary file /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/libgcj.a matches
Binary file /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/libgcj.so matches
Binary file /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.3/libgcj.so.11.0.0 matches
Binary file /usr/lib32/libpng14.so.14 matches
Binary file /usr/lib64/gcc/x86_64-pc-linux-gnu/4.5.3/libgcj.so.11 matches
Binary file /usr/lib64/gcc/x86_64-pc-linux-gnu/4.5.3/libgcj.a matches
Binary file /usr/lib64/gcc/x86_64-pc-linux-gnu/4.5.3/libgcj.so matches
Binary file /usr/lib64/gcc/x86_64-pc-linux-gnu/4.5.3/libgcj.so.11.0.0 matches
Back to top
View user's profile Send private message
Polynomial-C
Developer
Developer


Joined: 01 Jun 2003
Posts: 1391
Location: germany

PostPosted: Tue Oct 18, 2011 7:07 am    Post subject: Reply with quote

IMPORTANT! The combination of find and grep in our stable tree seems to have trouble with multiple filename patterns finding files containing a specific string. I modified the command to circumvent this problem. All stable users are encouraged to repeat the search with the modified command:
Code:
emerge -1av --keep-going $(for files in '*.la' '*.pc' '*-config' '*.pm' ; do find /usr -name "${files}" -exec grep -H png14 {} \; ; done | cut -d : -f 1 | xargs qfile -CSq | sort | uniq)

_________________
The manual said "Requires Windows7 or better" so I installed GNU/Linux...

my portage overlay

Need a stage1 tarball? (Unofficial builds)
Back to top
View user's profile Send private message
mephinet
n00b
n00b


Joined: 15 May 2008
Posts: 15

PostPosted: Tue Oct 18, 2011 7:52 am    Post subject: Reply with quote

Polynomial-C wrote:
The combination of find and grep in our stable tree seems to have trouble with multiple filename patterns finding files containing a specific string.

As mentioned, you need to add (quoted) parenthesis around the or-ed name patterns, as in:

Code:
find /usr \( -name "*.la" -or -name "*.pc" -or .... \) -exec grep -H png14 {} \;
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7  Next
Page 2 of 7

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum